> ## Name

> cgGetNamedUniformBufferParameter - get member of a uniform buffer parameter by name

> ## Synopsis

>     #include <Cg/cg.h>

>     CGparameter cgGetNamedUniformBufferParameter( CGparameter param,
>                                                   const char * name );

> ## Parameters

> param
>   The uniform buffer from which to retrieve a member parameter.
> name
>   The name of the desired member parameter inside uniform buffer param.

> ## Return Values

> Returns the member parameter from the given uniform buffer.

> Returns NULL if the uniform buffer has no member parameter corresponding to name.

> ## Description

> The member parameters of a uniform buffer parameter may be retrieved directly by name using cgGetNamedUniformBufferParameter.

> The names of the parameters in a uniform buffer may be discovered by iterating through the uniform buffer's member parameters (see cgGetFirstUniformBufferParameter and cgGetNextParameter), and calling cgGetParameterName for each one in turn.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_INVALID_PARAMETER_TYPE_ERROR is generated if param is not a uniform buffer parameter.

> CG_INVALID_POINTER_ERROR is generated if name is NULL.

> ## History

> cgGetNamedUniformBufferParameter was introduced in Cg 3.1.

> ## See Also

> cgGetNamedStructParameter, cgGetNamedSubParameter, cgGetFirstUniformBufferParameter, cgGetNextParameter, cgGetParameterName